import requests, uuid
from value_profiles.nlp import load_motivations

# Add your key and endpoint
key = "975c8a6839ad4f348e2a20b76693027f"
endpoint = "https://api.cognitive.microsofttranslator.com"
location = "westeurope"
path = '/translate'
constructed_url = endpoint + path

params = {'api-version': '3.0', 'from': 'nl', 'to': 'en'}

headers = {
    'Ocp-Apim-Subscription-Key': key,
    'Ocp-Apim-Subscription-Region': location,
    'Content-type': 'application/json',
    'X-ClientTraceId': str(uuid.uuid4())
}

data = load_motivations()

# Split data to have saving checkpoints, in case we run out of free translation tokens
question_ids = list(range(1, 7))
df_splits = [data[data['question_id'] == i] for i in question_ids]

for i, df_i in enumerate(df_splits, 1):
    translations = []
    for text in df_i['dutch']:
        body = [{'text': text}]
        request = requests.post(constructed_url, params=params, headers=headers, json=body)
        response = request.json()
        try:
            translations.append(response[0]['translations'][0]['text'])
        except:
            print(f"FAILED.\n{response}")
        
    df_i['english'] = translations
    df_i.to_csv(f"clean_data_q{i}.csv")
