from googletrans import Translator
from value_profiles.nlp import load_motivations

data = load_motivations()

translator = Translator(service_urls=['translate.googleapis.com'])
translated = []
frisian_count = 0

for text in data['dutch']:
    result = translator.detect(text)
    if result.lang == 'nl':
        translated.append(text)
    elif result.lang == 'fy':
        translation = translator.translate(text, src='fy', dest='nl')
        translated.append(translation.text)
        frisian_count += 1
    else:
        translated.append(text)
        print(f"Detected text in {result.lang}. Not translating.")

print(f"Done. Translated {frisian_count} motivations from Frisian to Dutch.")

data['translated_dutch'] = translated
data.to_csv('translated_clean_data.csv')
